from django.contrib import admin

from .models import Feedback


@admin.register(Feedback)
class FeedbackAdmin(admin.ModelAdmin):
    list_display = ("helper", "party", "next_year", "feedback_len")
    readonly_fields = ("feedback_len",)
    list_filter = ("party", "next_year")

    def feedback_len(self, obj):
        return len(obj.feedback_text)
